﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Data;

namespace SfCalendarsample
{
    public class DayLabelConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            try
            {
                int dayIndex = System.Convert.ToInt32(parameter, CultureInfo.InvariantCulture);
                CultureInfo culture = (CultureInfo)value;
                string[] dayNames = culture.DateTimeFormat.AbbreviatedDayNames;

                // apply offset based on the first day of the week
                int offset = (int)culture.DateTimeFormat.FirstDayOfWeek;

                dayIndex = dayIndex + offset;

                // wrap around if offset moves outside name array
                if (dayIndex >= dayNames.Length)
                {
                    dayIndex -= dayNames.Length;
                }

                return dayNames[dayIndex];
            }
            catch (Exception ex)
            {
                
                throw;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
