using System.ComponentModel;
using System.Runtime.CompilerServices;
using SfCalendarsample.Annotations;

namespace SfCalendarsample
{
    public class MainPageViewModel : INotifyPropertyChanged
    {
        public CalendarDatePickerViewModel CalendarDatePickerViewModel
        {
            get { return _calendarDatePickerViewModel; }
            set
            {
                _calendarDatePickerViewModel = value;
                OnPropertyChanged(nameof(CalendarDatePickerViewModel));
            }
        }

        private CalendarDatePickerViewModel _calendarDatePickerViewModel;
        public event PropertyChangedEventHandler PropertyChanged;

        [NotifyPropertyChangedInvocator]
        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}